## kdemultimedia-2.2.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdemultimedia
# Version required:    1.0
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.5 1998/06/30 20:07:17 garbanzo Exp $
#
PKGNAME=	kdemultimedia-`date "+%y%m%d"`
CATEGORIES=	audio kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	moc:${PORTSDIR}/x11/qt \
		autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT?=	${.CURDIR}/${PKGNAME}
LIB_DEPENDS=	qt\\.1\\.3[0-9]:${PORTSDIR}/x11/qt133 \
		gif\\.[23]\\.:${PORTSDIR}/graphics/giflib \
		jpeg\\.9\\.:${PORTSDIR}/graphics/jpeg \
		kdecore\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		kdeui\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs \
		jscript\\.1\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		khtmlw\\.1\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		kfm\\.1\\.9[0-9]:${PORTSDIR}/x11/kdelibs \
		mediatool\\.1\\.[0-9]:${PORTSDIR}/x11/kdelibs
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdemultimedia (4:2.2.0-final-1) unstable; urgency=low
  
  * New upstream version 2.2
  * Fix build issues (Closes: #107281)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 30 Jul 2001 00:01:00 -0700

kdemultimedia (4:2.2.0-0.2beta1-1) unstable; urgency=low
 
  * sync with upstream
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Jul 2001 03:51:00 -0700

kdemultimedia (4:2.2.0-0.1beta1-1) unstable; urgency=low
 
  * sync with upstream
  * More Build-Depends and Depends work
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Jul 2001 00:24:00 -0700

kdemultimedia (4:2.2.0-0beta1-3) unstable; urgency=low
 
  * sync with upstream
  * More alpha build fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 07 Jul 2001 03:40:00 -0700

kdemultimedia (4:2.2.0-0beta1-2) unstable; urgency=low
 
  * sync with upstream
  * Autobuild for alpha
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Jul 2001 02:25:00 -0700

kdemultimedia (4:2.2.0-0beta1-1) unstable; urgency=low
 
  * sync with upstream
  * Fix seg (Closes: #102647)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 19:15:00 -0700

kdemultimedia (4:2.2-cvs20010622-1) unstable; urgency=low
 
  * New upstream pull
  * 2.2 beta1
  * Adding: Enhances: tags
  * Adding in notation in kscd README.Debian about the fact that CDDB is
    not supported due to licensing issues. (Closes: #96435)
  * Rename libmpeglib0 to mpeglib and remove libmpeglib-dev
  * Rename arts to artsbuilder as it's less likely to confuse people plus
    is the proper name for it.
  * rename timidity to ktimidity and provide timidity yet we don't conflict
    with it. Move timidity.cfg to /etc/kde2/ktimidity.cfg and move conf files
    for timidity/kmidi to /etc/kde2/kmidi and conffile them all.  kmidi and
    ktimidity both seem to work find for me here now...hopefully it will do
    the same for you folks.
  * Build kmidi/ktimidity with support for most of it's different interfaces. 
    Not sure if this is how it'll end up being in the end.  This includes the
    default Xaw, Ncurses, and Slang.
  * Fixes these problems: 
        noatun segfaults (Closes: #88585)
  * Fix formatting (Closes: #99945)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Jun 2001 06:30:00 -0700

kdemultimedia (4:2.1.1-2) unstable; urgency=low
 
  * Update menu bits to include new kde menu removal tag
  * a few upstream fixes
  * Update build-depends to recognize real | virtual
  * Adding menu entry for kmid...oops
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Apr 2001 15:34:00 -0700

kdemultimedia (4:2.1.1-1.0.1) unstable; urgency=low
 
  * Rebuild with old libc
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 26 Mar 2001 15:44:00 -0700

kdemultimedia (4:2.1.1-1) unstable; urgency=low
 
  * New upstream version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Mar 2001 22:07:00 -0700

kdemultimedia (4:2.1.0-2) unstable; urgency=low
 
  * More upstream fixes
  * Update shlibs and overrides
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Mar 2001 21:48:00 -0700

kdemultimedia (4:2.1.0-1) unstable; urgency=low
 
   * Re-pulling from CVS instead of using the official tarballs.  The
     official tarballs had problems which made it hard to handle patches
   * Version changed to 2.1.0 instead of 2.1-final as we are post 2.1-final
     and pre 2.1.1 which will be released in about a month.  This also allows
     for the source upload.
   * Update build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 01 Mar 2001 01:49:00 -0700

kdemultimedia (4:2.1-final-1) unstable; urgency=low
 
  * New upstream version
  * Upping standards version
  * Adding in mp3-decoder provides for noatun
  * Fixing confliction (Closes: #84880)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdemultimedia (4:2.1-beta2-0128-1) unstable; urgency=low
 
  * More upstream fixes to noatun
  * Removing old --enable-debug
  * Removing guid stuff from kscd as upstream disabled suid execution
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jan 2001 01:42:00 -0700

kdemultimedia (4:2.1-beta2-2) unstable; urgency=low
 
  * Fixing Build-Depends
  * More upstream fixes for noatun
  * not --enable'ng esd as it doesn't seem to work and ends up forcing esd
    libs for packages that don't work with it.
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 24 Jan 2001 00:12:00 -0700

kdemultimedia (4:2.1-beta2-1) unstable; urgency=low
 
  * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 01:30:00 -0700

kdemultimedia (4:2.1-20010115-1) unstable; urgency=low
 
  * More upstream fixes
  * kaiman removed.  (Closes: #77449)
    noatun now kde2.1 media player
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdemultimedia (4:2.1-20010106-1) unstable; urgency=low
 
  * More upstream fixes
  * More dependency fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 06 Jan 2001 23:16:00 -0700

kdemultimedia (4:2.1-20010101-2) unstable; urgency=low
 
  * Fixing file placement for noatun
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 04 Jan 2001 11:37:00 -0700

kdemultimedia (4:2.1-20010101-1) unstable; urgency=low
 
  * More upstream fixes
	  
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 17:00:00 -0700

kdemultimedia (4:2.1-20001218-1) unstable; urgency=low
 
  * More upstream fixes
  * More dependency cleanup..we don't need kdebase-libs and arts for 
    most of these apps
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 23:00:00 -0700

kdemultimedia (4:2.1-20001216-1) unstable; urgency=low
 
  * New upstream beta version
  * i18n patch for kaimam applied
  * new noatun package
  * Migrating mpeglib packages back into kdemultimedia
  * Adding in missing conflicts for kdemultimedia
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 18:46:00 -0700

kdemultimedia (4:2.0-final-7) unstable; urgency=low
 
  * More upstream fixes


=== debian/control ===
Source: kdemultimedia
Build-Depends: automake, autoconf2.13, debhelper (>> 3.0.0), kdelibs-dev (>= 4:2.2.0-final-1), libarts-dev (>= 4:2.2.0-final-1), libkmid-dev (>= 4:2.2.0-final-1), libtool, libcdaudio0-dev, libcdparanoia0-dev, libogg-dev, libvorbis-dev, libncurses5-dev | libncurses-dev, slang1-dev, libxaw7-dev | libxaw-dev, g++-3.0 [alpha], gcc-3.0 [alpha]
Build-Conflicts: noatun (<< 4:2.2-0), libmpeglib0
Section: sound
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.5

Package: kdemultimedia-dev
Architecture: any
Section: devel
Replaces: arts (<< 4:2.0-final-6), kmid (<< 4:2.0-final-6), libmpeglib-dev
Depends: artsbuilder (= ${Source-Version}), noatun (= ${Source-Version}), mpeglib (= ${Source-Version}), kdelibs-dev, libcdparanoia0-dev, libcdaudio0-dev, libogg-dev, libvorbis-dev
Conflicts: arts (<< 4:2.0-final-6), libmpeglib-dev
Description: KDE multimedia libraries (development files)
 KDE multimedia development libraries for the kdemultimedia package 

Package: artsbuilder
Architecture: any
Section: sound
Replaces: kdemultimedia, kmidi (<< 4:2.0-final-6), arts
Depends: ${shlibs:Depends}, mpeglib (= ${Source-Version})
Recommends: kdebase-libs
Enhances: kdebase
Conflicts: kmidi (<< 4:2.0-final-6), arts
Description: Arts synthesizer designer
 This is the analog real-time synthesizer graphical design tool.

Package: noatun
Architecture: any
Section: sound
Depends: ${shlibs:Depends}, mpeglib (= ${Source-Version})
Recommends: kdebase-libs
Enhances: kdebase
Recommends: libarts-mpeglib
Suggests: noatun-plugins
Provides: mp3-decoder
Description: Media player (for video and audio)
 Media player (for video and audio) for KDE

Package: kmid
Architecture: any
Section: sound
Replaces: kdemultimedia
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Enhances: kdebase
Description: midi/karaoke player for KDE
 midi/karaoke player for KDE

Package: kmidi
Architecture: any
Section: sound
Replaces: kdemultimedia
Depends: ${shlibs:Depends}
Recommends: kdebase-libs
Provides: timidity
Suggests: timidity-patches
Enhances: kdebase
Description: midi-to-wav player/converter for KDE
 midi-to-wav player/converter for KDE

Package: kmix
Architecture: any
Section: sound
Replaces: kdemultimedia
Depends: ${shlibs:Depends}, procps
Recommends: kdebase-libs
Enhances: kdebase
Description: KDE based mixer app
 This is a KDE based mixer app

Package: mpeglib
Architecture: any
Section: libs
Replaces: arts (<= 4:2.0.1-1), libmpeglib0
Depends: ${shlibs:Depends}
Conflicts: arts (<= 4:2.0.1-1), libmpeglib0
Recommends: libarts-mpeglib
Provides: mp3-decoder
Description: mp3 and mpeg I video/audio library for linux
 mpeglib is a mp3 and mpeg I video/audio library for linux
 .
   mpeg I audio player (layer I,II,III (mp3))
   mpeg I video player
   mpeg I system layer player
   wav player

Package: libarts-mpeglib
Architecture: any
Section: libs
Replaces: arts (<= 4:2.0.1-1)
Depends: ${shlibs:Depends}, mpeglib
Conflicts: arts (<= 4:2.0.1-1)
Description: mpeglib is a mp3 and mpeg I video/audio library (Arts plugin)
 mpeglib is a mp3 and mpeg I video/audio library for linux
 .
 This is the arts (KDE Sound daemon) plugin
 
Package: kscd
Architecture: any
Section: sound
Replaces: kdemultimedia
Depends: ${shlibs:Depends}, cddb
Recommends: kdebase-libs
Enhances: kdebase
Description: KDE based cd player
 This is a KDE based cd player

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#export DH_VERBOSE=1
 
# This is the debhelper compatability version to use.
export DH_COMPAT=3
tmp = $(shell pwd)/debian/kdemultimedia-dev
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),alpha)
  COMPILER_FLAGS=CXX=g++-3.0 CC=gcc-3.0 CFLAGS=-mieee CXXFLAGS=-mieee
else
  COMPILER_FLAGS=CXX=g++ CC=gcc
endif
ifeq ($(ARCH),hppa)
  XINERAMA=
else
  XINERAMA=--with-xinerama
endif
ifeq ($(ARCH),i386)
  OBJPRELINK=--enable-objprelink
endif

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	-mv subdirs subdirs.tmp
	-cat subdirs.tmp | grep -v aktion > subdirs
	-rm -f subdirs.tmp
	$(COMPILER_FLAGS) \
	./configure $(configkde) --disable-esdtest --disable-alsatest \
		--enable-interface=ncurses,slang,xaw --disable-glibtest \
		--libdir=$(kde_libdir) $(XINERAMA) $(OBJPRELINK) \
		--includedir=$(kde_includedir)
		
	$(MAKE)

	touch build-stamp

clean: debian-clean
	dh_clean 

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs kmidi/TIMIDITY/BITMAPS
	if test -d CVS; then \
	  $(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi
	-$(MAKE) distclean


binary-indep:	build
	dh_testroot
	dh_testdir

binary-arch:	build
	dh_testroot
	dh_testdir
	dh_clean -k
	dh_installdirs -a
	$(MAKE) DESTDIR=$(tmp)/ install 
	-rm -rf $(tmp)/usr/share/apps/kscd/cddb/
	-rm -rf `find $(tmp) -print | grep aktion`
	cp debian/*.override $(tmp)/usr/share/lintian/overrides/
	for i in `ls $(tmp)/usr/share/lintian/overrides/`; do \
		mv $(tmp)/usr/share/lintian/overrides/$$i $(tmp)/usr/share/lintian/overrides/`echo $$i | sed -e 's#.override##'`; \
	done
	echo "[CDDB]" > $(tmp)/etc/kde2/kscdrc
	echo "LocalBaseDir=/var/lib/cddb/" >> $(tmp)/etc/kde2/kscdrc
	echo "[General]" >> $(tmp)/etc/kde2/kscdrc
	echo "UnixMailCommand=/usr/bin/mail -s \"%s\"" >> $(tmp)/etc/kde2/kscdrc 
	echo "DOCKING=1" >> $(tmp)/etc/kde2/kscdrc
	for i in `find debian/ -type l -name "common"`; do \
		rm $$i ;\
		ln -s ../common $$i ;\
	done
	dh_undocumented
	dh_installman -a
	dh_movefiles -a --sourcedir=debian/kdemultimedia-dev
	-mv debian/kmidi/usr/share/applnk/Multimedia/timidity.desktop \
		debian/kmidi/usr/share/applnk/Multimedia/ktimidity.desktop
	-mv debian/kmidi/etc/kde2/kmidi/timidity.cfg \
		debian/kmidi/etc/kde2/ktimidity.cfg
	dh_installdocs -a
	dh_installmenu -a
	dh_installmime -a
	dh_installchangelogs -pkdemultimedia-dev
	dh_installchangelogs -partsbuilder
	dh_installchangelogs -pkmid kmid/ChangeLog
	dh_installchangelogs -pkmidi kmidi/ChangeLog
	dh_installchangelogs -pkmix
	dh_installchangelogs -pnoatun
	dh_installchangelogs -pkscd kscd/ChangeLog
	dh_installchangelogs -pmpeglib mpeglib/CHANGES
	dh_installchangelogs -plibarts-mpeglib
	dh_strip -a
	dh_link -a
	dh_compress -a -X.docbook
	dh_fixperms -a
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_shlibdeps -a -l`pwd`/debian/noatun/usr/lib:`pwd`/debian/artsbuilder/usr/lib:`pwd`/debian/kmid/usr/lib:`pwd`/debian/libarts-mpeglib/usr/lib:`pwd`/debian/mpeglib/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
